JUCE: HostProvidedContextMenu Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
HostProvidedContextMenu Struct Referenceabstract
juce_audio_processors » processors

This wraps a context menu for a specific parameter, as provided by the host. More...

`#include <juce_AudioProcessorEditorHostContext.h>`

## Public Member Functions
virtual | ~HostProvidedContextMenu ()=default
virtual PopupMenu | getEquivalentPopupMenu () const =0
| Get a PopupMenu holding entries specified by the host.
virtual void | showNativeMenu (Point< int > pos) const =0
| Asks the host to display its native menu at a location relative to the top left corner of the editor.

## Detailed Description

This wraps a context menu for a specific parameter, as provided by the host.

You can choose to create a standard PopupMenu to display the host-provided options. Alternatively, you can ask the host to display a native menu at a specific location.

## Constructor & Destructor Documentation

## ◆ ~HostProvidedContextMenu()

virtual HostProvidedContextMenu::~HostProvidedContextMenu | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getEquivalentPopupMenu()

virtual PopupMenu HostProvidedContextMenu::getEquivalentPopupMenu | ( |  | ) | const
| pure virtual

Get a PopupMenu holding entries specified by the host.

Most hosts will populate this menu with options that relate to the parameter, such as displaying its automation lane. You are free to modify this menu before displaying it, if you wish to add additional options.

## ◆ showNativeMenu()

virtual void HostProvidedContextMenu::showNativeMenu | ( | Point< int > | pos | ) | const
| pure virtual

Asks the host to display its native menu at a location relative to the top left corner of the editor.

The position you provide should be in logical pixels. To display the menu next to the mouse cursor, call Component::getMouseXYRelative() on your editor and pass the result to this function.

The documentation for this struct was generated from the following file:

- juce_AudioProcessorEditorHostContext.h